import request from '@/utils/request'

// 客户概览-客户统计
export function statistics() {
  return request({
    url: '/customer/overview/statistics',
    method: 'get',
  })
}
// 客户概览-客户合作情况
export function cooperationTop() {
  return request({
    url: '/customer/overview/cooperation/top',
    method: 'get',
  })
}
// 客户概览-客户信资评级
export function creditLevel() {
  return request({
    url: '/customer/overview/credit/level',
    method: 'get',
  })
}





// 导入客户列表
export function importData(param) {
  return request({
    url: '/customer/importData',
    method: 'POST',
    data: param
  })
}

// 客户列表
export function getCustomerList(param) {
  return request({
    url: '/customer/list',
    method: 'get',
    params: param
  })
}
//新增客户
export function addCustomer(param) {
  return request({
    url: '/customer',
    method: 'POST',
    data: param
  })
}


//查询跟进记录
export function getFollowList(param) {
  return request({
    url: '/customer/follow/record/list',
    method: 'get',
    params: param
  })
}
//新增跟进记录
export function addFollowRecord(param) {
  return request({
    url: '/customer/follow/record/',
    method: 'POST',
    data: param
  })
}
//获取个人客户（关联客户）
export function getUserList() {
  return request({
    url: '/customer/user/list',
    method: 'get',
  })
}
//删除跟进记录
export function delFollowRecord(param) {
  return request({
    url: '/customer/follow/record/'+param,
    method: 'delete',
  })
}
